--- a/src/nm-manager.c.org	2021-02-09 18:25:48.570562642 +0100
+++ b/src/nm-manager.c	2021-02-09 18:25:39.786659585 +0100
@@ -2431,7 +2431,14 @@
 	NMManagerDeviceAuthRequestFunc callback;
 	gpointer callback_user_data;
 
-	nm_utils_user_data_unpack (&self, &device, &context, &subject, &error_original, &callback, &callback_user_data);
+	nm_utils_user_data_unpack (user_data,
+	                           &self,
+	                           &device,
+	                           &context,
+	                           &subject,
+	                           &error_original,
+	                           &callback,
+	                           &callback_user_data);
 
 	g_cancellable_set_error_if_cancelled (cancellable, &error_cancelled);
 
